#
# spec file for package qt6ct
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qt6ct
Version:        0.9
Release:        1.15
Summary:        Qt 6 Configuration Tool
License:        BSD-2-Clause
URL:            https://github.com/trialuser02/qt6ct
Source:         https://github.com/trialuser02/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  qt6-gui-private-devel
BuildRequires:  qt6-widgets-private-devel
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
Requires:       libQt6Svg6

%description
This program allows users to configure Qt6 settings (theme, font, icons,
etc.) under DE/WM without Qt integration.

%prep
%autosetup -p1

%build
%cmake_qt6

%qt6_build

%install
%qt6_install

# Unneeded
rm %{buildroot}%{_qt6_libdir}/libqt6ct-common.so

%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS ChangeLog README
%dir %{_qt6_pluginsdir}/styles
%{_bindir}/qt6ct
%{_qt6_libdir}/libqt6ct-common.so.%{version}
%{_qt6_sharedir}/qt6ct/
%{_qt6_pluginsdir}/platformthemes/libqt6ct.so
%{_qt6_pluginsdir}/styles/libqt6ct-style.so
%{_datadir}/applications/qt6ct.desktop

%changelog
* Sun Oct 29 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9:
  * added Qt 6.6 compatibility
  * added compatibility with QT_STYLE_OVERRIDE=qt5ct-style
  * improved cmake build:
  * - make translations optional (Jonas Kvinge)
  * - enabled reproducible build by default
  * - other fixes and improvements (Jonas Kvinge)
  * fixed crash on QML applications
  * fixed parallel build using qmake
  * fixed localization support
  * updated Dutch translation (Heimen Stoffels)
  * updated Polish translation (Marek Adamski)
  * updated Russian translation
  * updated French translation (Wallon)
* Tue Apr  4 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.8:
  * added keywords entry to desktop file
  * fixed compatibility with applications that use own stylesheet
  * fixed font applying issue
  * updated Japanese translation
* Sat Jan 28 2023 kh Lai <dlshcbmuipmam@hotmail.com>
- Update to 0.7
  * fixed crash when loading default font
  * changed font configuration format
  * improved icon loader
  * updated Czech translation
* Sat Oct  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.6
  * added Qt 6.4 support
  * added Qt version checking
  * added xdgdesktopportal dialogs support
  * improved warning about incorrect environment variable
  * only prepend user stylesheet if it has changed
  * removed Qt Concurrent dependency
  * updated translations
* Mon Mar 14 2022 Christophe Giboudeaux <christophe@krop.fr>
- Init qt6ct
